<template>
  <div id="app">
    <start @start-game="gameState" v-if="!showGame" />
    <game v-else/>
  </div>
</template>

<script>
import start from './Components/Start.vue'
import game from './Components/Game.vue'

export default {
  name: 'App',
  components: {
    start,
    game
  },
  data() {
    return{showGame: false}
  },
  methods: {
    gameState() {
      this.showGame = true
    }
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
